2017-05-28 10:18 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003568Kali Linux[All Projects] Kali Package Bugpublic2017-02-16 13:06
Reporteryennefer1173 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003568: KDE weekly iso does not have a network manager.
DescriptionThe weekly KDE iso does not have a network manager, so the networking has to be configured by hand, which is a bit frustrating. Also when I either install the network-manager or plasma-nm, kali-linux-full gets removed and I don't think it is supposed to be this way.

I also noticed that the weekly mate iso does not have a network manager as well.
Attached Files

-Relationships
+Relationships

-Notes

~0006134

cpttony (reporter)

I used the weekly ISO for KDE too, and I consider it a bug.

Normally in KDE5, we just need to install the package 'plasma-nm', but there seems to be a confliction caused by a package called 'libndp0' (as 'network-manager' depends on that).

I worded around this by using 'aptitude', it will give you an alternative solution which won't uninstall the kali meta package (kali-linux-full).

~0006411

sbrun (manager)

fixed in kali-linux-full version 2017.1.3
kali-linux-full depended on arping which breaks iputils-arping recommended (and installed by default) by network-manager. Now kali-linux-full depends on arping or iputils-arping.
plasma-nm is now installed by default with kali-desktop-kde.
+Notes

-Issue History
Date Modified Username Field Change
2016-09-13 11:10 yennefer1173 New Issue
2016-11-23 16:28 cpttony Note Added: 0006134
2017-02-13 20:41 rhertzog Assigned To => sbrun
2017-02-13 20:41 rhertzog Status new => assigned
2017-02-16 13:06 sbrun Note Added: 0006411
2017-02-16 13:06 sbrun Status assigned => resolved
2017-02-16 13:06 sbrun Resolution open => fixed
+Issue History